def seekHelpFrom(Helper helper) {
  helper.help()
}

interface Helper {
  def help()
}

abstract class Human implements Helper {
  abstract def help()
}

class Man extends Human {
  def help() { println "Man helping" }
}

class Woman extends Human {
  def help() { println "Woman helping" }
}

class Elephant implements Helper {
  def help() { println "Elephant helping..." }
}

seekHelpFrom(new Man())
seekHelpFrom(new Woman())
seekHelpFrom(new Elephant())